Product Feed Subscription (Import)

This feature allows publishers to query the product feed once and receive the products from that feed as a streaming HTTP response.

You can only extract one Product Feed at a time.

Note: Product Feeds designated as private in the CJ Account Manager are not available through the Product Search

πŸ“‹Before You Implement
  • Personal Access Token: You need to get Personal Access Token from CJ Developer Portal. If you already use a CJ personal access token for authentication, a new token need not be created.
  • companyId: You need CJ generated CompanyId. This will ensure you have the permission to query on behalf of that company.
  • adId: You need to specify the Product Feed's identifier using this attribute to receive the subscription for the feed.

Code Samples for Product Feed Subscription

Sample Subscription Query

subscription {
    shoppingProductCatalog(companyId: 999, adId: 12345678) {
        id
        adId
        description
    }
}
curl 'https://ads.api.cj.com/query' \
  -X POST \
  -H 'Authorization: Bearer <your-personal-access-token>' \
  -d '{ subscription(companyId: "999") { id, adId, description } }'

Sample Subscription Response

{
  "data": {
    "shoppingProductCatalog": [
      {
        "id": "123456",
        "adId": "12345678",
        "description": "The description of the product"
      }
    ]
  }
}


What’s Next